Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.configuration
Interface WTCLocalTuxDomMBean

public interface WTCLocalTuxDomMBean
extends ConfigurationMBean

This interface provides access to the WTC local Tuxedo Domain configuration attributes. The methods defined herein are applicable for WTC configuration at the WLS domain level.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID, DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`java.lang.String` | `getAccessPoint()` Gets the accessPoint attribute of the WTCLocalTuxDomMBean object
`java.lang.String` | `getAccessPointId()` Gets the accessPointId attribute of the WTCLocalTuxDomMBean object
`long` | `getBlockTime()` Gets the blockTime attribute of the WTCLocalTuxDomMBean object
`int` | `getCmpLimit()` Gets the cmpLimit attribute of the WTCLocalTuxDomMBean object
`java.lang.String` | `getConnectionPolicy()` Gets the connectionPolicy attribute of the WTCLocalTuxDomMBean object
`java.lang.String` | `getConnPrincipalName()` Gets the connPrincipalName attribute of the WTCLocalTuxDomMBean object
`java.lang.String` | `getInteroperate()` Gets the interoperate attribute of the WTCLocalTuxDomMBean object
`java.lang.String` | `getMaxEncryptBits()` Gets the maxEncryptBits attribute of the WTCLocalTuxDomMBean object
`long` | `getMaxRetries()` Gets the maxRetries attribute of the WTCLocalTuxDomMBean object
`java.lang.String` | `getMinEncryptBits()` Gets the minEncryptBits attribute of the WTCLocalTuxDomMBean object
`java.lang.String` | `getNWAddr()` Gets the nWAddr attribute of the WTCLocalTuxDomMBean object
`long` | `getRetryInterval()` Gets the retryInterval attribute of the WTCLocalTuxDomMBean object
`java.lang.String` | `getSecurity()` Gets the security attribute of the WTCLocalTuxDomMBean object
`void` | `setAccessPoint(java.lang.String AccessPoint)` Defines a name used to identify a local Tuxedo access point in a WTC Service.
`void` | `setAccessPointId(java.lang.String AccessPointId)` Defines the connection name used to identify this local Tuxedo access point when attempting to establish a session connection with a remote Tuxedo access point.
`void` | `setBlockTime(long BlockTime)` Defines the maximum wait time (seconds) allowed for a blocking call.
`void` | `setCmpLimit(int CmpLimit)` Defines the compression threshold used when sending data to a remote Tuxedo access point.
`void` | `setConnectionPolicy(java.lang.String ConnectionPolicy)` Defines the conditions under which a local Tuxedo access point tries to establish a connection to a remote Tuxedo access point.
`void` | `setConnPrincipalName(java.lang.String ConnPrincipalName)` Defines the principal name used to verify the identity of this domain when establishing a connection to another domain.
`void` | `setInteroperate(java.lang.String Interoperate)` Specifies whether the local domain interoperates with remote Tuxedo access points that are based upon Tuxedo release 6.5.
`void` | `setMaxEncryptBits(java.lang.String MaxEncryptBits)` Defines the maximum encryption key length (in bits) used when establishing a network connection for a local Tuxedo access point.
`void` | `setMaxRetries(long MaxRetries)` Defines the number of times that a domain gateway tries to establish connections to remote Tuxedo access points.
`void` | `setMinEncryptBits(java.lang.String MinEncryptBits)` Defines the minimum encryption key length (in bits) used when establishing a network connection for a local Tuxedo access point.
`void` | `setNWAddr(java.lang.String ListenAddress)` Defines the network address of the local Tuxedo access point.
`void` | `setRetryInterval(long RetryInterval)` Defines the number of seconds between automatic attempts to establish a connection to remote Tuxedo access points.
`void` | `setSecurity(java.lang.String Security)` Defines the type of application security enforced.

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getNotes, restoreDefaultValue, setComments, setDefaultedMBean, setNotes, setPersistenceEnabled`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### setAccessPoint

    public void setAccessPoint(java.lang.String AccessPoint)
                        throws javax.management.InvalidAttributeValueException

  Defines a name used to identify a local Tuxedo access point in a WTC Service. This name must be unique within defined Local Tuxedo Access Points. This allows you to define unique configurations having the same Access Point ID.

  A dynamic MBean attribute
  Legal NULL: false
  Parameters:
    `AccessPoint` - the name for the local Tuxedo access point
  Throws:
    javax.management.InvalidAttributeValueException -

### getAccessPoint

    public java.lang.String getAccessPoint()

  Gets the accessPoint attribute of the WTCLocalTuxDomMBean object

  A dynamic MBean attribute
  Returns:
    The accessPoint value

### setAccessPointId

    public void setAccessPointId(java.lang.String AccessPointId)
                          throws javax.management.InvalidAttributeValueException

  Defines the connection name used to identify this local Tuxedo access point when attempting to establish a session connection with a remote Tuxedo access point.

  The AccessPointId of a WTCLocalTuxDom MBean must match the corresponding DOMAINID in the *DM_REMOTE_DOMAINS section of your Tuxedo DMCONFIG file.

  A dynamic MBean attribute
  Legal NULL: false
  Parameters:
    `AccessPointId` - the local Tuxedo access point identifier
  Throws:
    javax.management.InvalidAttributeValueException -

### getAccessPointId

    public java.lang.String getAccessPointId()

  Gets the accessPointId attribute of the WTCLocalTuxDomMBean object

  A dynamic MBean attribute
  Returns:
    The accessPointId value

### setSecurity

    public void setSecurity(java.lang.String Security)
                     throws javax.management.InvalidAttributeValueException

  Defines the type of application security enforced.

  - NONE: No security is used.
  - APP_PW: Password security is enforced when a connection is established from a remote domain. The application password is defined in the WTCResourcesMBean.
  - DM_PW: Domain password security is enforced when a connection is established from a remote domain. The domain password is defined in the WTCPasswordsMBean.

  A dynamic MBean attribute
  Default Value: "NONE"
  Legal Values: "NONE","APP_PW","DM_PW"
  Secure Value: "DM_PW"
  Parameters:
    `Security` - the security level to be enforced
  Throws:
    javax.management.InvalidAttributeValueException -

### getSecurity

    public java.lang.String getSecurity()

  Gets the security attribute of the WTCLocalTuxDomMBean object

  A dynamic MBean attribute
  Returns:
    The security value

### setConnectionPolicy

    public void setConnectionPolicy(java.lang.String ConnectionPolicy)
                             throws javax.management.InvalidAttributeValueException

  Defines the conditions under which a local Tuxedo access point tries to establish a connection to a remote Tuxedo access point.

  - ON_DEMAND: A connection is attempted only when requested by either a client request to a remote service or an administrative connect command.
  - ON_STARTUP: A domain gateway attempts to establish a connection with its remote Tuxedo access points at gateway server initialization time. Remote services (services advertised in JNDI by the domain gateway for this local access point) are advertised only if a connection is successfully established to that remote Tuxedo access point. If there is no active connection to a remote Tuxedo access point, then the remote services are suspended. By default, this connection policy retries failed connections every 60 seconds. Use the MaxRetry and RetryInterval attributes to specify application specific values.
  - INCOMING_ONLY: A domain gateway does not attempt an initial connection to remote Tuxedo access points at startup and remote services are initially suspended. The domain gateway is available for incoming connections from remote Tuxedo access points and remote services are advertised when the domain gateway for this local Tuxedo access point receives an incoming connection. Connection retry processing is not allowed.

  A dynamic MBean attribute
  Default Value: "ON_DEMAND"
  Legal Values: "ON_DEMAND","ON_STARTUP","INCOMING_ONLY"
  Parameters:
    `ConnectionPolicy` - the connection policy for this local Tuxedo access point
  Throws:
    javax.management.InvalidAttributeValueException -

### getConnectionPolicy

    public java.lang.String getConnectionPolicy()

  Gets the connectionPolicy attribute of the WTCLocalTuxDomMBean object

  A dynamic MBean attribute
  Returns:
    The connectionPolicy value

### setConnPrincipalName

    public void setConnPrincipalName(java.lang.String ConnPrincipalName)
                              throws javax.management.InvalidAttributeValueException

  Defines the principal name used to verify the identity of this domain when establishing a connection to another domain.

  - This parameter only applies to domains of type TDOMAIN that are running BEA Tuxedo 7.1 or later software.
  - If not specified, the connection pricipal name defaults to the AccessPointID for this domain.

  Note: ConnectionPrincipalName is not supported in this release.

  A dynamic MBean attribute
  Parameters:
    `ConnPrincipalName` - The new connPrincipalName value
  Throws:
    javax.management.InvalidAttributeValueException -

### getConnPrincipalName

    public java.lang.String getConnPrincipalName()

  Gets the connPrincipalName attribute of the WTCLocalTuxDomMBean object

  A dynamic MBean attribute
  Returns:
    The connPrincipalName value

### setRetryInterval

    public void setRetryInterval(long RetryInterval)
                          throws javax.management.InvalidAttributeValueException

  Defines the number of seconds between automatic attempts to establish a connection to remote Tuxedo access points. Use only when Connection Policy is set to ON_STARTUP.

  A dynamic MBean attribute
  Default Value: 60
  Legal Minimum Value: 0
  Legal Maximum Value: java.lang.Integer.MAX_VALUE
  Parameters:
    `RetryInterval` - the retry interval for this local Tuxedo access point
  Throws:
    javax.management.InvalidAttributeValueException -

### getRetryInterval

    public long getRetryInterval()

  Gets the retryInterval attribute of the WTCLocalTuxDomMBean object

  A dynamic MBean attribute
  Returns:
    The retryInterval value

### setMaxRetries

    public void setMaxRetries(long MaxRetries)
                       throws javax.management.InvalidAttributeValueException

  Defines the number of times that a domain gateway tries to establish connections to remote Tuxedo access points. Use only when Connection Policy is set to ON_STARTUP.

  - Use the minimum value to disable the retry mechanism.
  - Use the maximum value to try until a connection is established.

  A dynamic MBean attribute
  Default Value: java.lang.Long.MAX_VALUE
  Legal Minimum Value: 0
  Legal Maximum Value: java.lang.Long.MAX_VALUE
  Parameters:
    `MaxRetries` - the number of times to attempt connection to remote Tuxedo access points
  Throws:
    javax.management.InvalidAttributeValueException -

### getMaxRetries

    public long getMaxRetries()

  Gets the maxRetries attribute of the WTCLocalTuxDomMBean object

  A dynamic MBean attribute
  Returns:
    The maxRetries value

### setBlockTime

    public void setBlockTime(long BlockTime)
                      throws javax.management.InvalidAttributeValueException

  Defines the maximum wait time (seconds) allowed for a blocking call.

  A dynamic MBean attribute
  Default Value: 60
  Legal Minimum Value: 0
  Legal Maximum Value: java.lang.Integer.MAX_VALUE
  Parameters:
    `BlockTime` - the maximum wait time allowed for a blocking call
  Throws:
    javax.management.InvalidAttributeValueException -

### getBlockTime

    public long getBlockTime()

  Gets the blockTime attribute of the WTCLocalTuxDomMBean object

  A dynamic MBean attribute
  Returns:
    The blockTime value

### setNWAddr

    public void setNWAddr(java.lang.String ListenAddress)
                   throws javax.management.InvalidAttributeValueException

  Defines the network address of the local Tuxedo access point. Specify the TCP/IP address in one of the following formats:

  - `//hostname:port_number`
  - `//#.#.#.#:port_number`

  If the hostname is used, the access point finds an address for hostname using the local name resolution facilities (usually DNS). If dotted decimal format is used, each # should be a number from 0 to 255. This dotted decimal number represents the IP address of the local machine. The port_number is the TCP port number at which the access point listens for incoming requests.

  A dynamic MBean attribute
  Legal Value: WTCLegalHelper.isNWAddrFormat(self.getName(),value)
  Parameters:
    `ListenAddress` - The new nWAddr value
  Throws:
    javax.management.InvalidAttributeValueException -

### getNWAddr

    public java.lang.String getNWAddr()

  Gets the nWAddr attribute of the WTCLocalTuxDomMBean object

  A dynamic MBean attribute
  Returns:
    The nWAddr value

### setCmpLimit

    public void setCmpLimit(int CmpLimit)
                     throws javax.management.InvalidAttributeValueException

  Defines the compression threshold used when sending data to a remote Tuxedo access point. Application buffers larger than this size are compressed.

  A dynamic MBean attribute
  Default Value: java.lang.Integer.MAX_VALUE
  Legal Minimum Value: 0
  Legal Maximum Value: java.lang.Integer.MAX_VALUE
  Parameters:
    `CmpLimit` - The compression threshold for this local Tuxedo access point
  Throws:
    javax.management.InvalidAttributeValueException -

### getCmpLimit

    public int getCmpLimit()

  Gets the cmpLimit attribute of the WTCLocalTuxDomMBean object

  A dynamic MBean attribute
  Returns:
    The cmpLimit value

### setMinEncryptBits

    public void setMinEncryptBits(java.lang.String MinEncryptBits)
                           throws javax.management.InvalidAttributeValueException

  Defines the minimum encryption key length (in bits) used when establishing a network connection for a local Tuxedo access point.

  - A value of 0 indicates no encryption is used.
  - The value of the MinEncrypBits attribute must be less than or equal to the value of the MaxEncrypBits attribute.
  - A MinEncrypBits of 40 can be used only with domains running Tuxedo 7.1 or higher.

  A dynamic MBean attribute
  Default Value: "0"
  Legal Value: WTCLegalHelper.isMinLteMax(self,value)
  Legal Values: "0","40","56","128"
  Secure Value: "40"
  Parameters:
    `MinEncryptBits` - The minimum encryption level desired for this local Tuxedo access point
  Throws:
    javax.management.InvalidAttributeValueException -

### getMinEncryptBits

    public java.lang.String getMinEncryptBits()

  Gets the minEncryptBits attribute of the WTCLocalTuxDomMBean object

  A dynamic MBean attribute
  Returns:
    The minEncryptBits value

### setMaxEncryptBits

    public void setMaxEncryptBits(java.lang.String MaxEncryptBits)
                           throws javax.management.InvalidAttributeValueException

  Defines the maximum encryption key length (in bits) used when establishing a network connection for a local Tuxedo access point.

  - A value of 0 indicates no encryption is used.
  - The value of the MaxEncryptBits attribute must be greater than or equal to the value of the MinEncrypBits attribute.
  - A MaxEncryptBits of 40 can be used only with domains running Tuxedo 7.1 or higher.

  A dynamic MBean attribute
  Default Value: "128"
  Legal Value: WTCLegalHelper.isMaxGteMin(self,value)
  Legal Values: "0","40","56","128"
  Secure Value: "128"
  Parameters:
    `MaxEncryptBits` - The encryption level desired for this local Tuxedo access point
  Throws:
    javax.management.InvalidAttributeValueException -

### getMaxEncryptBits

    public java.lang.String getMaxEncryptBits()

  Gets the maxEncryptBits attribute of the WTCLocalTuxDomMBean object

  A dynamic MBean attribute
  Returns:
    The maxEncryptBits value

### setInteroperate

    public void setInteroperate(java.lang.String Interoperate)
                         throws javax.management.InvalidAttributeValueException

  Specifies whether the local domain interoperates with remote Tuxedo access points that are based upon Tuxedo release 6.5. If Yes, the local Tuxedo access point interoperates with a Tuxedo 6.5 domain.

  A dynamic MBean attribute
  Default Value: "No"
  Legal Value: ((value.compareToIgnoreCase("Yes")==0) || (value.compareToIgnoreCase("No")==0))
  Parameters:
    `Interoperate` - The interoperatibility desired for this local Tuxedo access point
  Throws:
    javax.management.InvalidAttributeValueException -

### getInteroperate

    public java.lang.String getInteroperate()

  Gets the interoperate attribute of the WTCLocalTuxDomMBean object

  A dynamic MBean attribute
  Returns:
    The interoperate value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD